<?php

namespace Database\Seeders;

use App\Models\Product;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Schema;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        Schema::disableForeignKeyConstraints();
         $this->call(CountriesTableSeeder::class);
         $this->call(CategoriesTableSeeder::class);
         $this->call(SettingsTableSeeder::class);
//         $this->call(UsersTableSeeder::class);
         $this->call(PackagesTableSeeder::class);
         $this->call(ShopCategoriesTableSeeder::class);
//         $this->call(ProductsTableSeeder::class);
         $this->call(AdminsTableSeeder::class);
         $this->call(PermissionsSeeder::class);
         Schema::enableForeignKeyConstraints();
    }
}
